/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/mixins/_fonts.scss';
@import 'css/_variables.scss';

.o-coaBaseModal {
  .ant-modal-content {
    padding: 1.5rem 0;
  }
  &.--footerButtonsLeft {
    .ant-modal-footer {
      text-align: start;
    }
  }
  &.--footerButtonsRight {
    .ant-modal-footer {
      text-align: end;
    }
  }
  &.--footerButtonsCenter {
    .ant-modal-footer {
      text-align: center;
    }
  }

  &__header {
    display: flex;
    flex-direction: column;
    row-gap: 1rem;
    margin-bottom: 1rem;
    /* padding-inline: 1.2rem; */

    &__logo {
      text-align: center;
    }
  }
  &__body {
    &__description {
      padding-inline: 1.2rem;
      text-align: center;
      @include primary-text(0.875rem, $coa-grey-100, 400);
      margin-bottom: 1rem;
    }
  }
}
